Home
Home
  1. Public documents API
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable widgets
    • Overview
    • Document upload widget
      • Designing an upload flow
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Uploading documents
    • Country-specific fields
    • Supported document types
  • API reference
    • Submissions
      • Reports
        • List available report templates
        • Download a report
      • Create new submission
      • Get submission
      • Update submission
      • Update submission status
      • Run a submission pre-flight check
      • Run business verification
      • Get submission checks
      • Delete submission
      • List submissions
    • Documents
      • Public documents API
        • List documents (public)
          GET
        • Upload document (public)
          POST
        • Get document (public)
          GET
        • Delete document (public)
          DELETE
        • Download document file (public)
          GET
        • Rerun validations (public)
          PUT
      • List documents
        GET
      • Upload document
        POST
      • Get document
        GET
      • Delete document
        DELETE
      • Download document file
        GET
      • Rerun validations
        PUT
    • RPC search
      • RPC search
      • Get company with ID
      • Look up company by RFC
      • Search companies by name
      • Download RPC document
    • Utilities
      • Matcher
        • Run name matching
  1. Public documents API

Get document (public)

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
GET
https://api.niva.co/v1
/public/submissions/{submission_token}/documents/{document_id}
Returns one document with the data Niva extracted in data (shape per Supported document types). Send your public API key in the apiKey header and the submission's token in the path; see Public Documents API. Otherwise this endpoint behaves exactly like its private counterpart.

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.niva.co/v1/public/submissions/YOUR_SUBMISSION_TOKEN/documents/doc_MAXm5v0B7kZVHorQL8YjV2y9' \
--header 'Accept-Language: en' \
--header 'apiKey: <api-key>'

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Example
{
  "id": "doc_VJ1O9pg07bBNulJ7LjYd6Nx2",
  "submission_id": "sub_3ZMd9KJnvAdYt4mOyW7YQRAp",
  "validation_status": "valid",
  "country_code": "mx",
  "document_type": "tax_registration",
  "document_subtype": "csf",
  "uploaded_at": "2026-10-23T21:31:32.717Z",
  "validation_errors": [],
  "source": "user",
  "external_id": "csf-001",
  "document_name": null,
  "file": {
    "name": "csf.pdf",
    "byte_size": 118204
  },
  "data": {
    "name": "Nueva Vista Alimentos S.A. de C.V.",
    "full_business_name": "Nueva Vista Alimentos S.A. de C.V.",
    "place_of_issue": null,
    "date_of_issue": "2026-10-22",
    "curp": null,
    "first_name": null,
    "first_last_name": null,
    "second_last_name": null,
    "trade_name": null,
    "start_date": null,
    "status_update_date": null,
    "status": "activo",
    "economic_activity": [],
    "regimen_capital": null,
    "business_name": "Nueva Vista Alimentos S.A. de C.V.",
    "entity_type": null,
    "id_cif": null,
    "address": "Esc. 750 Escalinata Verónica s/n. Puerta 243, Burgos, Vas 31477",
    "tax_regimes": [
      {
        "regime": "Régimen General de Ley Personas Morales",
        "start_date": "2026-04-23",
        "end_date": "2027-04-23"
      }
    ],
    "economic_activities": [],
    "address_components": {
      "address_line_1": "",
      "city": null,
      "state": null,
      "postal_code": null,
      "colony": null,
      "locality": null,
      "street_type": null,
      "street_name": null,
      "exterior_number": null,
      "interior_number": null,
      "cross_street_1": null,
      "cross_street_2": null
    }
  },
  "parent_document_id": null,
  "merged_documents": []
}
🟠401Unauthorized
🟠404Not Found
🔴500Internal Server Error
Previous
Upload document (public)
Next
Delete document (public)